package com.keao.edu.user.dto;

import com.keao.edu.user.entity.ExamRegistration;
import com.keao.edu.user.entity.StudentExamResult;
import io.swagger.annotations.ApiModelProperty;

public class ExamRecordDto extends ExamRegistration {

    @ApiModelProperty(value = "考试项目")
    private String examBaseName;

    @ApiModelProperty(value = "考试项目")
    private String subjectName;

    @ApiModelProperty(value = "准考证")
    private String examCertificationId;

    @ApiModelProperty(value = "考试结果")
    private StudentExamResult studentExamResult;

    public String getExamBaseName() {
        return examBaseName;
    }

    public void setExamBaseName(String examBaseName) {
        this.examBaseName = examBaseName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getExamCertificationId() {
        return examCertificationId;
    }

    public void setExamCertificationId(String examCertificationId) {
        this.examCertificationId = examCertificationId;
    }

    public StudentExamResult getStudentExamResult() {
        return studentExamResult;
    }

    public void setStudentExamResult(StudentExamResult studentExamResult) {
        this.studentExamResult = studentExamResult;
    }
}
